LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Other *NIX Forums > Solaris / OpenSolaris
User Name
Password
Solaris / OpenSolaris This forum is for the discussion of Solaris and OpenSolaris.
General Sun, SunOS and Sparc related questions also go here.

Notices

Reply
 
Search this Thread
Old 05-19-2010, 07:49 AM   #1
ash_bit2k2
LQ Newbie
 
Registered: Mar 2010
Posts: 5

Rep: Reputation: 0
executable compiled on solaris 10 not working on solaris 9


Hi

I compiled an executable on Solaris 10 which creates semaphore ( semget)
but it didn't work on solaris 9 , while it is executing sucessfully on solaris 10.
the ldd for the executable on two servers is as follows:-
on solaris 9:-

% pldd 16373
16373: ./a.out
/.SUNWnative/usr/lib/brand/solaris9/sparcv9/s9_preload.so.1
/usr/lib/sparcv9/libCstd.so.1
/usr/lib/sparcv9/libCrun.so.1
/usr/lib/sparcv9/libm.so.1
/usr/lib/sparcv9/libc.so.1
/usr/lib/sparcv9/libdl.so.1
/usr/platform/sun4u-us3/lib/sparcv9/libc_psr.so.1


on solaris 10:-

% pldd 28447
28447: a.out
/usr/lib/sparcv9/libCstd.so.1
/usr/lib/sparcv9/libCrun.so.1
/lib/sparcv9/libm.so.1
/lib/sparcv9/libc.so.1
/platform/sun4v/lib/sparcv9/libc_psr.so.1

It is dependant upon this additional preload.so.1 on solaris9

Can anyone suggest what needs to be changed.
 
Old 05-19-2010, 11:03 AM   #2
jlliagre
Moderator
 
Registered: Feb 2004
Location: Outside Paris
Distribution: Solaris10, Solaris 11, Mint, OL
Posts: 9,486

Rep: Reputation: 354Reputation: 354Reputation: 354Reputation: 354
What doesn't work ?

Did you try to recompile it under Solaris 9 ?

The preload you see in pldd is due to the application running in a Solaris 9 branded zone on top of Solaris 10 instead of running on a bare Solaris 9 installation.
 
Old 05-20-2010, 12:32 AM   #3
ash_bit2k2
LQ Newbie
 
Registered: Mar 2010
Posts: 5

Original Poster
Rep: Reputation: 0
Hi
Actually it was intended to compile it on solaris 10 and install and test on solaris 9 , that was the intended target.
 
Old 05-20-2010, 12:58 AM   #4
jlliagre
Moderator
 
Registered: Feb 2004
Location: Outside Paris
Distribution: Solaris10, Solaris 11, Mint, OL
Posts: 9,486

Rep: Reputation: 354Reputation: 354Reputation: 354Reputation: 354
It might not be the issue in your case but compiling in a newer release than the intended target is unsupported.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Choosing between Solaris 10 and Solaris Express to run sun xVM hypervisor crisostomo_enrico Solaris / OpenSolaris 1 09-26-2008 01:39 PM
Error 13: Invalid or unsupported executable format + solaris and linux lsanga099 Linux - Newbie 4 06-30-2008 07:10 AM
LXer: Cool distro of the day: Damn Small Solaris (yes, I said Solaris) LXer Syndicated Linux News 0 02-26-2008 01:20 AM
LXer: Hp Puts Solaris on More X64 Servers, Partners for Solaris Emulation LXer Syndicated Linux News 0 02-07-2007 07:21 AM
Redirecting Bin, Include and Lib on newly compiled GCC (Solaris 10). Zepiroth Solaris / OpenSolaris 3 11-20-2005 07:17 PM


All times are GMT -5. The time now is 05:00 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration